<?php /* Smarty version 2.6.14, created on 2006-10-16 10:25:51
         compiled from E:%5Cwebup_old/meta/module/module_display.tpl.html */ ?>
<html>

<head>
<meta http-equiv="Content-Language" content="zh-cn">
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title><?php echo '<?php'; ?>
 echo _conf( 'WEB_SITE_SEO_TOP_WORD' ) <?php echo '?>';  echo '<?php'; ?>
 echo $top_title = $title = $item['<?php echo $this->_tpl_vars['dy_module_content_title']; ?>
']; <?php echo '?>'; ?>
 - <?php echo '<?php'; ?>
 echo _conf( 'WEB_SITE_NAME' ) <?php echo '?>'; ?>
</title>
<meta name="keywords" content="<?php echo '<?php'; ?>
 echo _conf( 'WEB_SITE_SEO_META_KEYWORD' ) <?php echo '?>'; ?>
">
<meta name="description" content="<?php echo '<?php'; ?>
 echo _conf( 'WEB_SITE_SEO_META_DESCRIP' ) <?php echo '?>'; ?>
">
<?php echo '<?php'; ?>
 echo _conf('WEB_SITE_SEO_HEADER_CODE'); <?php echo '?>'; ?>

<link href="res/css/douya.css" rel="stylesheet" type="text/css">
</head>

<body>

<?php echo '<?php'; ?>
  
	include_once( ROOT . 'res/tpl/header.tpl.html' );
<?php echo '?>'; ?>

<table border="0" width="98%" id="table1" cellspacing="5" cellpadding="5" height="400px" align="center">
	<tr>
		<td valign="top" class="hline">
		<!-- main -->
		<?php echo $this->_tpl_vars['template_content']; ?>

		 <?php echo '<?php'; ?>
 if( is_login() ): <?php echo '?>'; ?>

	 <div align="right"><br/><span class="gact" style="float:right;">&gt; <a href="?u=<?php echo $this->_tpl_vars['dy_module_en_name']; ?>
_modify&id=<?php echo '<?php'; ?>
 echo $item['id'] <?php echo '?>'; ?>
">增改<?php echo $this->_tpl_vars['dy_module_content']; ?>
资料</a></span><br/></div>
	 <?php echo '<?php'; ?>
 if( is_admin() || $item['dy_uid'] == $_SESSION['dy_uid']  ): <?php echo '?>'; ?>

	 <div align="right"><br/><span class="gact" style="float:right;">&gt; <a href="?u=<?php echo $this->_tpl_vars['dy_module_en_name']; ?>
_delete&id=<?php echo '<?php'; ?>
 echo $item['id'] <?php echo '?>'; ?>
">删除<?php echo $this->_tpl_vars['dy_module_content']; ?>
资料</a></span><br/></div><?php echo '<?php'; ?>
 endif; <?php echo '?>'; ?>

	 <?php echo '<?php'; ?>
 endif; <?php echo '?>'; ?>

	 <h2><?php echo '<?php'; ?>
 echo _conf('WEB_SITE_NAME') <?php echo '?>'; ?>
成员将其标记为　· · · · · ·　
    </h2>
    <div class="indent"><span style="line-height:200%;border-bottom:1px dotted #DDDDDD">
        <?php echo '<?php'; ?>
 
		$tags = get_tags_from_tagstring( $item['dy_tags'] );
		foreach( $tags as $t ): <?php echo '?>'; ?>

		<a href="?a=<?php echo $this->_tpl_vars['dy_module_en_name']; ?>
_list&tag=<?php echo '<?php'; ?>
 echo $t ;<?php echo '?>'; ?>
"><?php echo '<?php'; ?>
 echo $t <?php echo '?>'; ?>
</a>&nbsp;&nbsp;
		<?php echo '<?php'; ?>
 endforeach; <?php echo '?>'; ?>
　
    </span></div><br/>
		<!-- 评论 -->
		<h3><?php echo '<?php'; ?>
 echo _conf( 'WEB_SITE_NAME' ) <?php echo '?>'; ?>
成员的评论 (<?php echo '<?php'; ?>
 echo $review_count; <?php echo '?>'; ?>
条)</h3><div class="indent"><span class="pl">看完欢迎点击“有用”或“没用"，一起决定这些评论的排列次序。</span>
		<?php echo '<?php'; ?>
 foreach( $reviews as $review ):		<?php echo '?>'; ?>

		<p class="ul"></p>
		<?php echo '<?php'; ?>
 if( $r = get_percent_of_review_rate( $review['id'] )): <?php echo '?>'; ?>

		<p class="pl"><?php echo '<?php'; ?>
 echo $r <?php echo '?>'; ?>
的人觉得此评论有用:</p>
		<?php echo '<?php'; ?>
 endif; <?php echo '?>'; ?>

		<p><a href="?a=review_display&id=<?php echo '<?php'; ?>
 echo $review['id'] <?php echo '?>'; ?>
" class="m"><?php echo '<?php'; ?>
 echo $review['dy_title'] <?php echo '?>'; ?>
</a></p>
      <span class="pl">
    <a href="?a=people&uid=<?php echo '<?php'; ?>
 echo $review['dy_uid'] <?php echo '?>'; ?>
"><?php echo '<?php'; ?>
 echo $review['dy_nickname'] <?php echo '?>'; ?>
</a><?php echo '<?php'; ?>
 if( $review['dy_city'] > 0 ) : <?php echo '?>'; ?>
(<a href="?a=location&city=<?php echo '<?php'; ?>
 echo $review['dy_city'] <?php echo '?>'; ?>
"><?php echo '<?php'; ?>
 echo get_city_name_by_code( $review['dy_city'] ) <?php echo '?>'; ?>
</a>)<?php echo '<?php'; ?>
 endif; <?php echo '?>'; ?>
  
        </span>    <span title="<?php echo '<?php'; ?>
 $rt = get_rate_type(  ); echo $rt[$review['dy_rate']] <?php echo '?>'; ?>
">&nbsp;&nbsp<img src="res/img/<?php echo '<?php'; ?>
 echo $review['dy_rate']; <?php echo '?>'; ?>
stars.gif"/></span><br clear="all"/><br/>
    <a href="?a=people&uid=<?php echo '<?php'; ?>
 echo $review['dy_uid'] <?php echo '?>'; ?>
" title="<?php echo '<?php'; ?>
 echo $review['dy_nickname'] <?php echo '?>'; ?>
"><img border="0" hspace="15" vspace="10" src="<?php echo '<?php'; ?>
 echo show_user_icon( $review['dy_uid'] ) <?php echo '?>'; ?>
" align="left"></a><?php echo '<?php'; ?>
 
	if( is_long_content( $review['dy_content'] , 500 ) )
	{
		echo show_short_content( $review['dy_content'] , 500 ). '(<a href="?a=review_display&id=' . $review['id'] . '">全文</a>)';
	}
	else
	{
		echo $review['dy_content']; 
	}
	<?php echo '?>'; ?>
   <?php echo '<?php'; ?>
 if( (is_login() && $review['dy_uid'] == $_SESSION['dy_uid'] ) || is_admin() ) : <?php echo '?>'; ?>

	 <div align="right"><span class="gact" style="float:right;">&gt; <a href="?a=review_modify&id=<?php echo '<?php'; ?>
 echo $review['id'] <?php echo '?>'; ?>
">修改</a> &nbsp;&nbsp;&nbsp;&gt; <a href="?a=review_delete&id=<?php echo '<?php'; ?>
 echo $review['id'] <?php echo '?>'; ?>
">删除</a></span></div>
	 <?php echo '<?php'; ?>
 endif; <?php echo '?>'; ?>
<p/> 　　    
<br/>　　    
<br/>　　<br clear="all"/><br/><p class="pl"><?php echo '<?php'; ?>
 echo date("Y-m-d H:i") <?php echo '?>'; ?>
&nbsp;&nbsp;&nbsp;|&nbsp;&nbsp;&nbsp;<a href="?a=review_display&id=<?php echo '<?php'; ?>
 echo $review['id'] <?php echo '?>'; ?>
"><?php echo '<?php'; ?>
 if( $review['dy_reply_count'] > 0 ) echo $review['dy_reply_count']; <?php echo '?>'; ?>
回应</a>&nbsp;&nbsp;&nbsp;
    
        |&nbsp;&nbsp;&nbsp;此评论对你&nbsp;
        <span class="act"><a href="?a=review_vote&vote=down&mid=<?php echo $this->_tpl_vars['module_id']; ?>
&id=<?php echo '<?php'; ?>
 echo $review['id'] <?php echo '?>'; ?>
">没用</a></span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span class="act"><a href="?a=review_vote&mid=<?php echo $this->_tpl_vars['module_id']; ?>
&vote=up&id=<?php echo '<?php'; ?>
 echo $review['id'] <?php echo '?>'; ?>
">有用</a></span>
        </p><br/>
		<?php echo '<?php'; ?>
 endforeach; <?php echo '?>'; ?>

		<br/><br/><span class="act"><a href="?a=review_add&ua=<?php echo $this->_tpl_vars['dy_module_en_name']; ?>
&mid=<?php echo $this->_tpl_vars['module_id']; ?>
&title=<?php echo '<?php'; ?>
 echo urlencode($item['<?php echo $this->_tpl_vars['dy_module_content_title']; ?>
']) <?php echo '?>'; ?>
&id=<?php echo '<?php'; ?>
 echo $item['id'] <?php echo '?>'; ?>
">我来评论这篇文章</a></span>
		</td>
		<td width="300px" class=top>
		<!-- right -->
		<div align="center"><form name="search_bar" id="search_bar" method="GET"><table align="center" class="info_box" cellspacing="5" cellpadding="5"><tr><td class="sbjtd">
    <p align="center" class="pl">
	<input name="search_text" type="text" size="24" maxlength="72"" value="" id="page_focus"/>
    <input name="search_submit" class="butt" type="submit" value="搜索"/><br/>
	<?php echo '<?php'; ?>
 
	if( $modules = get_active_modules())
	{
		foreach( $modules as $module )
		{
			$html[] = '<input name="u" type="radio" value="' . $module['dy_module_en_name'] . '_list">' . $module['dy_module_content'] ;	
		}
		echo join( '&nbsp; &nbsp;' , $html );
	}
	<?php echo '?>'; ?>

     </p></td></tr></table></form></div>
    <br/>
	<?php echo '<?php'; ?>
 if( is_login() ):	<?php echo '?>'; ?>

	<h2>这<?php echo $this->_tpl_vars['dy_module_content']; ?>
我　· · · · · · </h2>
	<div class="indent"><p>
	<?php $_from = $this->_tpl_vars['dy_module_action']; if (!is_array($_from) && !is_object($_from)) { settype($_from, 'array'); }if (count($_from)):
    foreach ($_from as $this->_tpl_vars['item']):
?>
	<?php echo '<?php'; ?>
  $txt = get_vote_txt( <?php echo $this->_tpl_vars['module_id']; ?>
 , $item['id'] , $_SESSION['dy_uid']  );
	if( $txt == '<?php echo $this->_tpl_vars['item']; ?>
' ):
	<?php echo '?>'; ?>

	<?php echo $this->_tpl_vars['item']; ?>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
    <?php echo '<?php'; ?>
 else: <?php echo '?>'; ?>

	<span class="act"><a href="?a=vote&ua=<?php echo $this->_tpl_vars['dy_module_en_name']; ?>
&mid=<?php echo $this->_tpl_vars['module_id']; ?>
&id=<?php echo '<?php'; ?>
 echo $item['id']; <?php echo '?>'; ?>
&status=<?php echo $this->_tpl_vars['item']; ?>
"><?php echo $this->_tpl_vars['item']; ?>
</a></span>
	&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
	<?php echo '<?php'; ?>
 endif; <?php echo '?>'; ?>

	<?php endforeach; endif; unset($_from); ?>
	</p></div><br/>
     <?php echo '<?php'; ?>
 endif; <?php echo '?>'; ?>

			<h2>我来评价/评价汇总　· · · · · ·　
    </h2>
    <div class="indent">
	<?php echo '<?php'; ?>
 
	include_once( ROOT . 'meta/core.meta.php' );
	$data = get_rate_data( <?php echo $this->_tpl_vars['module_id']; ?>
 , $item['id']  ) ;
	$my_rate = get_my_rate_data( <?php echo $this->_tpl_vars['module_id']; ?>
 , $item['id'] , $_SESSION['dy_uid']  );
	$rate_txt = get_rate_type();
	<?php echo '?>'; ?>

	<?php echo '<?php'; ?>
 for( $i = 5 ; $i >=1 ; $i-- ){ <?php echo '?>'; ?>

	<?php echo '<?php'; ?>
 if( $i == $my_rate ): <?php echo '?>'; ?>

	<?php echo '<?php'; ?>
 echo $rate_txt[$i] <?php echo '?>'; ?>
 <img src="res/img/<?php echo '<?php'; ?>
 echo $i <?php echo '?>'; ?>
stars.gif" border="0"><span class=explain><?php echo '<?php'; ?>
 if(  is_array_key( $i , $data ) ) echo '  ' . $data[$i] . '  '; <?php echo '?>'; ?>
 -- 我的评价 --</span><br/>
	<?php echo '<?php'; ?>
 else: <?php echo '?>'; ?>

	<a href="?a=rate&r=<?php echo '<?php'; ?>
 echo $i <?php echo '?>'; ?>
&mid=<?php echo $this->_tpl_vars['module_id']; ?>
&id=<?php echo '<?php'; ?>
 echo $item['id']; <?php echo '?>'; ?>
"><?php echo '<?php'; ?>
 echo $rate_txt[$i] <?php echo '?>'; ?>
</a> <a href="?a=rate&r=<?php echo '<?php'; ?>
 echo $i <?php echo '?>'; ?>
&mid=<?php echo $this->_tpl_vars['module_id']; ?>
&id=<?php echo '<?php'; ?>
 echo $item['id']; <?php echo '?>'; ?>
"><img src="res/img/<?php echo '<?php'; ?>
 echo $i <?php echo '?>'; ?>
stars.gif" border="0"></a> <span class=explain><?php echo '<?php'; ?>
 if( is_array_key( $i , $data ) ) echo '  ' . $data[$i] . '  '; <?php echo '?>'; ?>
 <br/>
	<?php echo '<?php'; ?>
 endif; <?php echo '?>'; ?>

	<?php echo '<?php'; ?>
 } <?php echo '?>'; ?>

	</div>
	<br/>
	
	<h2>谁<?php echo $this->_tpl_vars['dy_module_action_default']; ?>
这<?php echo $this->_tpl_vars['dy_module_content']; ?>
?</h2>
	<?php echo '<?php'; ?>
 
	include_once( ROOT . 'meta/city.meta.php' );
	$data = array_chunk(get_vote_info_by_status( <?php echo $this->_tpl_vars['module_id']; ?>
 , $item['id'] , '<?php echo $this->_tpl_vars['dy_module_action_default']; ?>
' ) , 3 ); 
	<?php echo '?>'; ?>

<table class="ptable" cellspacing="5" cellpadding="5" border="0">
<?php echo '<?php'; ?>
 foreach(  $data as $member_line): <?php echo '?>'; ?>

<tr>
<?php echo '<?php'; ?>
 foreach( $member_line as $m ): <?php echo '?>'; ?>

<td style="vertical-align: top"><a href="?a=people&uid=<?php echo '<?php'; ?>
 echo $m['dy_uid'] <?php echo '?>'; ?>
"><img src="<?php echo '<?php'; ?>
 echo show_user_icon( $m['dy_uid'] ) <?php echo '?>'; ?>
" class="m_sub_img" border="0" /><br/><?php echo '<?php'; ?>
 echo $m['dy_nickname'] <?php echo '?>'; ?>
</a>
<?php echo '<?php'; ?>
 if( !is_empty($m['dy_city']) && $m['dy_city'] > 0 )
{
	echo '<br/>(<a href="?a=location&city=' . $m['dy_city'] . '">' . get_city_name_by_code($m['dy_city']) . '</a>)';
} 
<?php echo '?>'; ?>
</td>
<?php echo '<?php'; ?>
 endforeach; <?php echo '?>'; ?>

</tr>
<?php echo '<?php'; ?>
 endforeach; <?php echo '?>'; ?>

</table><br clear="all"/><?php echo '<?php'; ?>
 $c = get_vote_txt_count( <?php echo $this->_tpl_vars['module_id']; ?>
 , $item['id'] , '<?php echo $this->_tpl_vars['dy_module_action_default']; ?>
' ); 
if( $c > 6 ) :
<?php echo '?>'; ?>

<p class="pl">&gt; <a href="?a=vote_search&mid=<?php echo $this->_tpl_vars['module_id']; ?>
&cid=<?php echo '<?php'; ?>
 echo $item['id'] <?php echo '?>'; ?>
&staus=<?php echo '<?php'; ?>
 echo urlencode( '<?php echo $this->_tpl_vars['dy_module_action_default']; ?>
' ) <?php echo '?>'; ?>
">... 和其他 <?php echo '<?php'; ?>
 echo ( $c-6 ) <?php echo '?>'; ?>
人<?php echo $this->_tpl_vars['dy_module_action_default']; ?>
</a></p>
<?php echo '<?php'; ?>
 endif; <?php echo '?>'; ?>
		
		</td>
	</tr>
</table>
<?php echo '<?php'; ?>
  
	include_once( ROOT . 'res/tpl/footer.tpl.html' );
<?php echo '?>'; ?>

</body>

</html>